# Embedded library or framework versions

This guide will provide the information about the important libraries and their versions which are embedded in the vREST NG Application and CLI module. This will help you in rebuilding the native NodeJS modules against the specific embedded NodeJS or ElectronJS version.

# For vREST NG Application

vREST NG App Version Embedded Libraries / Frameworks
1.8.0 ElectronJS - 4.1.4
NodeJS - 10.11.0
2.0.0 ElectronJS - 11.2.1
NodeJS - 12.18.3
2.1.0 ElectronJS - 11.2.1
NodeJS - 12.18.3

# For vREST NG CLI

vREST NG CLI Version Embedded Libraries / Frameworks
1.8.0 NodeJS - 10.4.1
2.0.0 NodeJS - 10.21.0
2.1.0 NodeJS - 12.18.3